# Consent read

`GET /Consent/{id}`

This resource contains the legally binding requirements for any type of healthcare consent. Patient consent may be related to privacy, medical treatment, research, or advance care, like do-not-resuscitate (DNR) orders. 

You can review or retrieve consent information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Consent` resource with details about a patient’s consent decisions, like for privacy, treatment, research, or advance care.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Consent identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Consent/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Consent

A profile on the Consent resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Consent |
| `status` | string | Yes | Indicates the current state of this consent. Possible values: draft, proposed, active, rejected, inactive, entered-in-error |
| `scope` | object | Yes | A selector of the type of consent being presented: ADR, Privacy, Treatment, Research.  This list is now extensible. |
| `scope.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `scope.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `scope.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `scope.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `category` | Array of object | Yes | A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements. |
| `category[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `category[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `category[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `policyRule` | object | Yes | policyRule is unsupported, but required by FHIR. |
| `policyRule.extension` | Array of object | No | Identifies this field as unsupported |
| `policyRule.extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `policyRule.extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Unique identifier for this copy of the Consent Statement. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `patient` | object | No | The patient/healthcare consumer to whom this consent applies. Must be a resource of type `Patient`. |
| `patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `organization` | Array of object | No | The custodian organization(s) that manage the consent, and the framework within which it is executed. Must be a resource of type `Organization`. |
| `organization[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `verification` | Array of object | No | Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person. |
| `verification[].verified` | boolean | Yes | Has the instruction been verified. |
| `verification[].verifiedWith` | object | No | Who verified the instruction (Patient, Relative or other Authorized Person). Must be a resource of type `RelatedPerson`. |
| `verification[].verifiedWith.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `verification[].verificationDate` | string | No | Date verification was collected. |
| `provision` | object | No | An exception to the base policy of this consent. An exception can be an addition or removal of access permissions. |
| `provision.period` | object | No | The timeframe in this rule is valid. |
| `provision.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `provision.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `provision.code` | Array of object | No | If this code is found in an instance, then the rule applies. |
| `provision.code[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `provision.code[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `provision.code[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `provision.code[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `sourceAttachment` | object | No | The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document. |
| `sourceAttachment.url` | string | No | A location where the data can be accessed. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Consent",
  "id": "string",
  "identifier": [
    {
      "extension": [
        {
          "url": "string",
          "valueBoolean": true
        }
      ],
      "use": "usual",
      "system": "string",
      "value": "string"
    }
  ],
  "status": "draft",
  "scope": {
    "coding": [
      {
        "system": "string",
        "code": "string"
      }
    ],
    "text": "string"
  },
  "category": [
    {
      "coding": [
        {
          "system": "string",
          "code": "string"
        }
      ],
      "text": "string"
    }
  ],
  "patient": {
    "reference": "string"
  },
  "organization": [
    {
      "reference": "string"
    }
  ],
  "policyRule": {
    "extension": [
      {
        "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
        "valueCode": "unsupported"
      }
    ]
  },
  "verification": [
    {
      "verified": true,
      "verifiedWith": {
        "reference": "string"
      },
      "verificationDate": "string"
    }
  ],
  "provision": {
    "period": {
      "start": "string",
      "end": "string"
    },
    "code": [
      {
        "coding": [
          {
            "system": "string",
            "code": "string"
          }
        ],
        "text": "string"
      }
    ]
  },
  "sourceAttachment": {
    "url": "string"
  }
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
